IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network237.65.124.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
- Network address
237.65.124.0- Broadcast address
237.65.125.255- First usable
237.65.124.1- Last usable
237.65.125.254- Usable hosts
- 510 (512 less the network and broadcast addresses)
- Subnet mask
255.255.254.0- Wildcard mask
0.0.1.255(Cisco ACLs, OSPF)- Prefix length
- /23
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
ED417C00· Integer3980491776to3980492287 - Reverse DNS zones
124.65.237.in-addr.arpa125.65.237.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11101101.01000001.01111100.00000000 | 237.65.124.0 |
| Subnet mask | 11111111.11111111.11111110.00000000 | 255.255.254.0 |
| Network | 11101101.01000001.01111100.00000000 | 237.65.124.0 |
| Broadcast | 11101101.01000001.01111101.11111111 | 237.65.125.255 |
Split into smaller subnets
237.65.124.0/23 makes 512 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 237.65.124.0/32 | 237.65.124.0 to 237.65.124.0 | — | 1 |
| 2 | 237.65.124.1/32 | 237.65.124.1 to 237.65.124.1 | — | 1 |
| 3 | 237.65.124.2/32 | 237.65.124.2 to 237.65.124.2 | — | 1 |
| 4 | 237.65.124.3/32 | 237.65.124.3 to 237.65.124.3 | — | 1 |
| 5 | 237.65.124.4/32 | 237.65.124.4 to 237.65.124.4 | — | 1 |
| 6 | 237.65.124.5/32 | 237.65.124.5 to 237.65.124.5 | — | 1 |
| 7 | 237.65.124.6/32 | 237.65.124.6 to 237.65.124.6 | — | 1 |
| 8 | 237.65.124.7/32 | 237.65.124.7 to 237.65.124.7 | — | 1 |
| 9 | 237.65.124.8/32 | 237.65.124.8 to 237.65.124.8 | — | 1 |
| 10 | 237.65.124.9/32 | 237.65.124.9 to 237.65.124.9 | — | 1 |
| 11 | 237.65.124.10/32 | 237.65.124.10 to 237.65.124.10 | — | 1 |
| 12 | 237.65.124.11/32 | 237.65.124.11 to 237.65.124.11 | — | 1 |
| 13 | 237.65.124.12/32 | 237.65.124.12 to 237.65.124.12 | — | 1 |
| 14 | 237.65.124.13/32 | 237.65.124.13 to 237.65.124.13 | — | 1 |
| 15 | 237.65.124.14/32 | 237.65.124.14 to 237.65.124.14 | — | 1 |
| 16 | 237.65.124.15/32 | 237.65.124.15 to 237.65.124.15 | — | 1 |
| 17 | 237.65.124.16/32 | 237.65.124.16 to 237.65.124.16 | — | 1 |
| 18 | 237.65.124.17/32 | 237.65.124.17 to 237.65.124.17 | — | 1 |
| 19 | 237.65.124.18/32 | 237.65.124.18 to 237.65.124.18 | — | 1 |
| 20 | 237.65.124.19/32 | 237.65.124.19 to 237.65.124.19 | — | 1 |
| 21 | 237.65.124.20/32 | 237.65.124.20 to 237.65.124.20 | — | 1 |
| 22 | 237.65.124.21/32 | 237.65.124.21 to 237.65.124.21 | — | 1 |
| 23 | 237.65.124.22/32 | 237.65.124.22 to 237.65.124.22 | — | 1 |
| 24 | 237.65.124.23/32 | 237.65.124.23 to 237.65.124.23 | — | 1 |
| 25 | 237.65.124.24/32 | 237.65.124.24 to 237.65.124.24 | — | 1 |
| 26 | 237.65.124.25/32 | 237.65.124.25 to 237.65.124.25 | — | 1 |
| 27 | 237.65.124.26/32 | 237.65.124.26 to 237.65.124.26 | — | 1 |
| 28 | 237.65.124.27/32 | 237.65.124.27 to 237.65.124.27 | — | 1 |
| 29 | 237.65.124.28/32 | 237.65.124.28 to 237.65.124.28 | — | 1 |
| 30 | 237.65.124.29/32 | 237.65.124.29 to 237.65.124.29 | — | 1 |
| 31 | 237.65.124.30/32 | 237.65.124.30 to 237.65.124.30 | — | 1 |
| 32 | 237.65.124.31/32 | 237.65.124.31 to 237.65.124.31 | — | 1 |
| 33 | 237.65.124.32/32 | 237.65.124.32 to 237.65.124.32 | — | 1 |
| 34 | 237.65.124.33/32 | 237.65.124.33 to 237.65.124.33 | — | 1 |
| 35 | 237.65.124.34/32 | 237.65.124.34 to 237.65.124.34 | — | 1 |
| 36 | 237.65.124.35/32 | 237.65.124.35 to 237.65.124.35 | — | 1 |
| 37 | 237.65.124.36/32 | 237.65.124.36 to 237.65.124.36 | — | 1 |
| 38 | 237.65.124.37/32 | 237.65.124.37 to 237.65.124.37 | — | 1 |
| 39 | 237.65.124.38/32 | 237.65.124.38 to 237.65.124.38 | — | 1 |
| 40 | 237.65.124.39/32 | 237.65.124.39 to 237.65.124.39 | — | 1 |
| 41 | 237.65.124.40/32 | 237.65.124.40 to 237.65.124.40 | — | 1 |
| 42 | 237.65.124.41/32 | 237.65.124.41 to 237.65.124.41 | — | 1 |
| 43 | 237.65.124.42/32 | 237.65.124.42 to 237.65.124.42 | — | 1 |
| 44 | 237.65.124.43/32 | 237.65.124.43 to 237.65.124.43 | — | 1 |
| 45 | 237.65.124.44/32 | 237.65.124.44 to 237.65.124.44 | — | 1 |
| 46 | 237.65.124.45/32 | 237.65.124.45 to 237.65.124.45 | — | 1 |
| 47 | 237.65.124.46/32 | 237.65.124.46 to 237.65.124.46 | — | 1 |
| 48 | 237.65.124.47/32 | 237.65.124.47 to 237.65.124.47 | — | 1 |
| 49 | 237.65.124.48/32 | 237.65.124.48 to 237.65.124.48 | — | 1 |
| 50 | 237.65.124.49/32 | 237.65.124.49 to 237.65.124.49 | — | 1 |
| 51 | 237.65.124.50/32 | 237.65.124.50 to 237.65.124.50 | — | 1 |
| 52 | 237.65.124.51/32 | 237.65.124.51 to 237.65.124.51 | — | 1 |
| 53 | 237.65.124.52/32 | 237.65.124.52 to 237.65.124.52 | — | 1 |
| 54 | 237.65.124.53/32 | 237.65.124.53 to 237.65.124.53 | — | 1 |
| 55 | 237.65.124.54/32 | 237.65.124.54 to 237.65.124.54 | — | 1 |
| 56 | 237.65.124.55/32 | 237.65.124.55 to 237.65.124.55 | — | 1 |
| 57 | 237.65.124.56/32 | 237.65.124.56 to 237.65.124.56 | — | 1 |
| 58 | 237.65.124.57/32 | 237.65.124.57 to 237.65.124.57 | — | 1 |
| 59 | 237.65.124.58/32 | 237.65.124.58 to 237.65.124.58 | — | 1 |
| 60 | 237.65.124.59/32 | 237.65.124.59 to 237.65.124.59 | — | 1 |
| 61 | 237.65.124.60/32 | 237.65.124.60 to 237.65.124.60 | — | 1 |
| 62 | 237.65.124.61/32 | 237.65.124.61 to 237.65.124.61 | — | 1 |
| 63 | 237.65.124.62/32 | 237.65.124.62 to 237.65.124.62 | — | 1 |
| 64 | 237.65.124.63/32 | 237.65.124.63 to 237.65.124.63 | — | 1 |
| 65 | 237.65.124.64/32 | 237.65.124.64 to 237.65.124.64 | — | 1 |
| 66 | 237.65.124.65/32 | 237.65.124.65 to 237.65.124.65 | — | 1 |
| 67 | 237.65.124.66/32 | 237.65.124.66 to 237.65.124.66 | — | 1 |
| 68 | 237.65.124.67/32 | 237.65.124.67 to 237.65.124.67 | — | 1 |
| 69 | 237.65.124.68/32 | 237.65.124.68 to 237.65.124.68 | — | 1 |
| 70 | 237.65.124.69/32 | 237.65.124.69 to 237.65.124.69 | — | 1 |
| 71 | 237.65.124.70/32 | 237.65.124.70 to 237.65.124.70 | — | 1 |
| 72 | 237.65.124.71/32 | 237.65.124.71 to 237.65.124.71 | — | 1 |
| 73 | 237.65.124.72/32 | 237.65.124.72 to 237.65.124.72 | — | 1 |
| 74 | 237.65.124.73/32 | 237.65.124.73 to 237.65.124.73 | — | 1 |
| 75 | 237.65.124.74/32 | 237.65.124.74 to 237.65.124.74 | — | 1 |
| 76 | 237.65.124.75/32 | 237.65.124.75 to 237.65.124.75 | — | 1 |
| 77 | 237.65.124.76/32 | 237.65.124.76 to 237.65.124.76 | — | 1 |
| 78 | 237.65.124.77/32 | 237.65.124.77 to 237.65.124.77 | — | 1 |
| 79 | 237.65.124.78/32 | 237.65.124.78 to 237.65.124.78 | — | 1 |
| 80 | 237.65.124.79/32 | 237.65.124.79 to 237.65.124.79 | — | 1 |
| 81 | 237.65.124.80/32 | 237.65.124.80 to 237.65.124.80 | — | 1 |
| 82 | 237.65.124.81/32 | 237.65.124.81 to 237.65.124.81 | — | 1 |
| 83 | 237.65.124.82/32 | 237.65.124.82 to 237.65.124.82 | — | 1 |
| 84 | 237.65.124.83/32 | 237.65.124.83 to 237.65.124.83 | — | 1 |
| 85 | 237.65.124.84/32 | 237.65.124.84 to 237.65.124.84 | — | 1 |
| 86 | 237.65.124.85/32 | 237.65.124.85 to 237.65.124.85 | — | 1 |
| 87 | 237.65.124.86/32 | 237.65.124.86 to 237.65.124.86 | — | 1 |
| 88 | 237.65.124.87/32 | 237.65.124.87 to 237.65.124.87 | — | 1 |
| 89 | 237.65.124.88/32 | 237.65.124.88 to 237.65.124.88 | — | 1 |
| 90 | 237.65.124.89/32 | 237.65.124.89 to 237.65.124.89 | — | 1 |
| 91 | 237.65.124.90/32 | 237.65.124.90 to 237.65.124.90 | — | 1 |
| 92 | 237.65.124.91/32 | 237.65.124.91 to 237.65.124.91 | — | 1 |
| 93 | 237.65.124.92/32 | 237.65.124.92 to 237.65.124.92 | — | 1 |
| 94 | 237.65.124.93/32 | 237.65.124.93 to 237.65.124.93 | — | 1 |
| 95 | 237.65.124.94/32 | 237.65.124.94 to 237.65.124.94 | — | 1 |
| 96 | 237.65.124.95/32 | 237.65.124.95 to 237.65.124.95 | — | 1 |
| 97 | 237.65.124.96/32 | 237.65.124.96 to 237.65.124.96 | — | 1 |
| 98 | 237.65.124.97/32 | 237.65.124.97 to 237.65.124.97 | — | 1 |
| 99 | 237.65.124.98/32 | 237.65.124.98 to 237.65.124.98 | — | 1 |
| 100 | 237.65.124.99/32 | 237.65.124.99 to 237.65.124.99 | — | 1 |
| 101 | 237.65.124.100/32 | 237.65.124.100 to 237.65.124.100 | — | 1 |
| 102 | 237.65.124.101/32 | 237.65.124.101 to 237.65.124.101 | — | 1 |
| 103 | 237.65.124.102/32 | 237.65.124.102 to 237.65.124.102 | — | 1 |
| 104 | 237.65.124.103/32 | 237.65.124.103 to 237.65.124.103 | — | 1 |
| 105 | 237.65.124.104/32 | 237.65.124.104 to 237.65.124.104 | — | 1 |
| 106 | 237.65.124.105/32 | 237.65.124.105 to 237.65.124.105 | — | 1 |
| 107 | 237.65.124.106/32 | 237.65.124.106 to 237.65.124.106 | — | 1 |
| 108 | 237.65.124.107/32 | 237.65.124.107 to 237.65.124.107 | — | 1 |
| 109 | 237.65.124.108/32 | 237.65.124.108 to 237.65.124.108 | — | 1 |
| 110 | 237.65.124.109/32 | 237.65.124.109 to 237.65.124.109 | — | 1 |
| 111 | 237.65.124.110/32 | 237.65.124.110 to 237.65.124.110 | — | 1 |
| 112 | 237.65.124.111/32 | 237.65.124.111 to 237.65.124.111 | — | 1 |
| 113 | 237.65.124.112/32 | 237.65.124.112 to 237.65.124.112 | — | 1 |
| 114 | 237.65.124.113/32 | 237.65.124.113 to 237.65.124.113 | — | 1 |
| 115 | 237.65.124.114/32 | 237.65.124.114 to 237.65.124.114 | — | 1 |
| 116 | 237.65.124.115/32 | 237.65.124.115 to 237.65.124.115 | — | 1 |
| 117 | 237.65.124.116/32 | 237.65.124.116 to 237.65.124.116 | — | 1 |
| 118 | 237.65.124.117/32 | 237.65.124.117 to 237.65.124.117 | — | 1 |
| 119 | 237.65.124.118/32 | 237.65.124.118 to 237.65.124.118 | — | 1 |
| 120 | 237.65.124.119/32 | 237.65.124.119 to 237.65.124.119 | — | 1 |
| 121 | 237.65.124.120/32 | 237.65.124.120 to 237.65.124.120 | — | 1 |
| 122 | 237.65.124.121/32 | 237.65.124.121 to 237.65.124.121 | — | 1 |
| 123 | 237.65.124.122/32 | 237.65.124.122 to 237.65.124.122 | — | 1 |
| 124 | 237.65.124.123/32 | 237.65.124.123 to 237.65.124.123 | — | 1 |
| 125 | 237.65.124.124/32 | 237.65.124.124 to 237.65.124.124 | — | 1 |
| 126 | 237.65.124.125/32 | 237.65.124.125 to 237.65.124.125 | — | 1 |
| 127 | 237.65.124.126/32 | 237.65.124.126 to 237.65.124.126 | — | 1 |
| 128 | 237.65.124.127/32 | 237.65.124.127 to 237.65.124.127 | — | 1 |
| 129 | 237.65.124.128/32 | 237.65.124.128 to 237.65.124.128 | — | 1 |
| 130 | 237.65.124.129/32 | 237.65.124.129 to 237.65.124.129 | — | 1 |
| 131 | 237.65.124.130/32 | 237.65.124.130 to 237.65.124.130 | — | 1 |
| 132 | 237.65.124.131/32 | 237.65.124.131 to 237.65.124.131 | — | 1 |
| 133 | 237.65.124.132/32 | 237.65.124.132 to 237.65.124.132 | — | 1 |
| 134 | 237.65.124.133/32 | 237.65.124.133 to 237.65.124.133 | — | 1 |
| 135 | 237.65.124.134/32 | 237.65.124.134 to 237.65.124.134 | — | 1 |
| 136 | 237.65.124.135/32 | 237.65.124.135 to 237.65.124.135 | — | 1 |
| 137 | 237.65.124.136/32 | 237.65.124.136 to 237.65.124.136 | — | 1 |
| 138 | 237.65.124.137/32 | 237.65.124.137 to 237.65.124.137 | — | 1 |
| 139 | 237.65.124.138/32 | 237.65.124.138 to 237.65.124.138 | — | 1 |
| 140 | 237.65.124.139/32 | 237.65.124.139 to 237.65.124.139 | — | 1 |
| 141 | 237.65.124.140/32 | 237.65.124.140 to 237.65.124.140 | — | 1 |
| 142 | 237.65.124.141/32 | 237.65.124.141 to 237.65.124.141 | — | 1 |
| 143 | 237.65.124.142/32 | 237.65.124.142 to 237.65.124.142 | — | 1 |
| 144 | 237.65.124.143/32 | 237.65.124.143 to 237.65.124.143 | — | 1 |
| 145 | 237.65.124.144/32 | 237.65.124.144 to 237.65.124.144 | — | 1 |
| 146 | 237.65.124.145/32 | 237.65.124.145 to 237.65.124.145 | — | 1 |
| 147 | 237.65.124.146/32 | 237.65.124.146 to 237.65.124.146 | — | 1 |
| 148 | 237.65.124.147/32 | 237.65.124.147 to 237.65.124.147 | — | 1 |
| 149 | 237.65.124.148/32 | 237.65.124.148 to 237.65.124.148 | — | 1 |
| 150 | 237.65.124.149/32 | 237.65.124.149 to 237.65.124.149 | — | 1 |
| 151 | 237.65.124.150/32 | 237.65.124.150 to 237.65.124.150 | — | 1 |
| 152 | 237.65.124.151/32 | 237.65.124.151 to 237.65.124.151 | — | 1 |
| 153 | 237.65.124.152/32 | 237.65.124.152 to 237.65.124.152 | — | 1 |
| 154 | 237.65.124.153/32 | 237.65.124.153 to 237.65.124.153 | — | 1 |
| 155 | 237.65.124.154/32 | 237.65.124.154 to 237.65.124.154 | — | 1 |
| 156 | 237.65.124.155/32 | 237.65.124.155 to 237.65.124.155 | — | 1 |
| 157 | 237.65.124.156/32 | 237.65.124.156 to 237.65.124.156 | — | 1 |
| 158 | 237.65.124.157/32 | 237.65.124.157 to 237.65.124.157 | — | 1 |
| 159 | 237.65.124.158/32 | 237.65.124.158 to 237.65.124.158 | — | 1 |
| 160 | 237.65.124.159/32 | 237.65.124.159 to 237.65.124.159 | — | 1 |
| 161 | 237.65.124.160/32 | 237.65.124.160 to 237.65.124.160 | — | 1 |
| 162 | 237.65.124.161/32 | 237.65.124.161 to 237.65.124.161 | — | 1 |
| 163 | 237.65.124.162/32 | 237.65.124.162 to 237.65.124.162 | — | 1 |
| 164 | 237.65.124.163/32 | 237.65.124.163 to 237.65.124.163 | — | 1 |
| 165 | 237.65.124.164/32 | 237.65.124.164 to 237.65.124.164 | — | 1 |
| 166 | 237.65.124.165/32 | 237.65.124.165 to 237.65.124.165 | — | 1 |
| 167 | 237.65.124.166/32 | 237.65.124.166 to 237.65.124.166 | — | 1 |
| 168 | 237.65.124.167/32 | 237.65.124.167 to 237.65.124.167 | — | 1 |
| 169 | 237.65.124.168/32 | 237.65.124.168 to 237.65.124.168 | — | 1 |
| 170 | 237.65.124.169/32 | 237.65.124.169 to 237.65.124.169 | — | 1 |
| 171 | 237.65.124.170/32 | 237.65.124.170 to 237.65.124.170 | — | 1 |
| 172 | 237.65.124.171/32 | 237.65.124.171 to 237.65.124.171 | — | 1 |
| 173 | 237.65.124.172/32 | 237.65.124.172 to 237.65.124.172 | — | 1 |
| 174 | 237.65.124.173/32 | 237.65.124.173 to 237.65.124.173 | — | 1 |
| 175 | 237.65.124.174/32 | 237.65.124.174 to 237.65.124.174 | — | 1 |
| 176 | 237.65.124.175/32 | 237.65.124.175 to 237.65.124.175 | — | 1 |
| 177 | 237.65.124.176/32 | 237.65.124.176 to 237.65.124.176 | — | 1 |
| 178 | 237.65.124.177/32 | 237.65.124.177 to 237.65.124.177 | — | 1 |
| 179 | 237.65.124.178/32 | 237.65.124.178 to 237.65.124.178 | — | 1 |
| 180 | 237.65.124.179/32 | 237.65.124.179 to 237.65.124.179 | — | 1 |
| 181 | 237.65.124.180/32 | 237.65.124.180 to 237.65.124.180 | — | 1 |
| 182 | 237.65.124.181/32 | 237.65.124.181 to 237.65.124.181 | — | 1 |
| 183 | 237.65.124.182/32 | 237.65.124.182 to 237.65.124.182 | — | 1 |
| 184 | 237.65.124.183/32 | 237.65.124.183 to 237.65.124.183 | — | 1 |
| 185 | 237.65.124.184/32 | 237.65.124.184 to 237.65.124.184 | — | 1 |
| 186 | 237.65.124.185/32 | 237.65.124.185 to 237.65.124.185 | — | 1 |
| 187 | 237.65.124.186/32 | 237.65.124.186 to 237.65.124.186 | — | 1 |
| 188 | 237.65.124.187/32 | 237.65.124.187 to 237.65.124.187 | — | 1 |
| 189 | 237.65.124.188/32 | 237.65.124.188 to 237.65.124.188 | — | 1 |
| 190 | 237.65.124.189/32 | 237.65.124.189 to 237.65.124.189 | — | 1 |
| 191 | 237.65.124.190/32 | 237.65.124.190 to 237.65.124.190 | — | 1 |
| 192 | 237.65.124.191/32 | 237.65.124.191 to 237.65.124.191 | — | 1 |
| 193 | 237.65.124.192/32 | 237.65.124.192 to 237.65.124.192 | — | 1 |
| 194 | 237.65.124.193/32 | 237.65.124.193 to 237.65.124.193 | — | 1 |
| 195 | 237.65.124.194/32 | 237.65.124.194 to 237.65.124.194 | — | 1 |
| 196 | 237.65.124.195/32 | 237.65.124.195 to 237.65.124.195 | — | 1 |
| 197 | 237.65.124.196/32 | 237.65.124.196 to 237.65.124.196 | — | 1 |
| 198 | 237.65.124.197/32 | 237.65.124.197 to 237.65.124.197 | — | 1 |
| 199 | 237.65.124.198/32 | 237.65.124.198 to 237.65.124.198 | — | 1 |
| 200 | 237.65.124.199/32 | 237.65.124.199 to 237.65.124.199 | — | 1 |
| 201 | 237.65.124.200/32 | 237.65.124.200 to 237.65.124.200 | — | 1 |
| 202 | 237.65.124.201/32 | 237.65.124.201 to 237.65.124.201 | — | 1 |
| 203 | 237.65.124.202/32 | 237.65.124.202 to 237.65.124.202 | — | 1 |
| 204 | 237.65.124.203/32 | 237.65.124.203 to 237.65.124.203 | — | 1 |
| 205 | 237.65.124.204/32 | 237.65.124.204 to 237.65.124.204 | — | 1 |
| 206 | 237.65.124.205/32 | 237.65.124.205 to 237.65.124.205 | — | 1 |
| 207 | 237.65.124.206/32 | 237.65.124.206 to 237.65.124.206 | — | 1 |
| 208 | 237.65.124.207/32 | 237.65.124.207 to 237.65.124.207 | — | 1 |
| 209 | 237.65.124.208/32 | 237.65.124.208 to 237.65.124.208 | — | 1 |
| 210 | 237.65.124.209/32 | 237.65.124.209 to 237.65.124.209 | — | 1 |
| 211 | 237.65.124.210/32 | 237.65.124.210 to 237.65.124.210 | — | 1 |
| 212 | 237.65.124.211/32 | 237.65.124.211 to 237.65.124.211 | — | 1 |
| 213 | 237.65.124.212/32 | 237.65.124.212 to 237.65.124.212 | — | 1 |
| 214 | 237.65.124.213/32 | 237.65.124.213 to 237.65.124.213 | — | 1 |
| 215 | 237.65.124.214/32 | 237.65.124.214 to 237.65.124.214 | — | 1 |
| 216 | 237.65.124.215/32 | 237.65.124.215 to 237.65.124.215 | — | 1 |
| 217 | 237.65.124.216/32 | 237.65.124.216 to 237.65.124.216 | — | 1 |
| 218 | 237.65.124.217/32 | 237.65.124.217 to 237.65.124.217 | — | 1 |
| 219 | 237.65.124.218/32 | 237.65.124.218 to 237.65.124.218 | — | 1 |
| 220 | 237.65.124.219/32 | 237.65.124.219 to 237.65.124.219 | — | 1 |
| 221 | 237.65.124.220/32 | 237.65.124.220 to 237.65.124.220 | — | 1 |
| 222 | 237.65.124.221/32 | 237.65.124.221 to 237.65.124.221 | — | 1 |
| 223 | 237.65.124.222/32 | 237.65.124.222 to 237.65.124.222 | — | 1 |
| 224 | 237.65.124.223/32 | 237.65.124.223 to 237.65.124.223 | — | 1 |
| 225 | 237.65.124.224/32 | 237.65.124.224 to 237.65.124.224 | — | 1 |
| 226 | 237.65.124.225/32 | 237.65.124.225 to 237.65.124.225 | — | 1 |
| 227 | 237.65.124.226/32 | 237.65.124.226 to 237.65.124.226 | — | 1 |
| 228 | 237.65.124.227/32 | 237.65.124.227 to 237.65.124.227 | — | 1 |
| 229 | 237.65.124.228/32 | 237.65.124.228 to 237.65.124.228 | — | 1 |
| 230 | 237.65.124.229/32 | 237.65.124.229 to 237.65.124.229 | — | 1 |
| 231 | 237.65.124.230/32 | 237.65.124.230 to 237.65.124.230 | — | 1 |
| 232 | 237.65.124.231/32 | 237.65.124.231 to 237.65.124.231 | — | 1 |
| 233 | 237.65.124.232/32 | 237.65.124.232 to 237.65.124.232 | — | 1 |
| 234 | 237.65.124.233/32 | 237.65.124.233 to 237.65.124.233 | — | 1 |
| 235 | 237.65.124.234/32 | 237.65.124.234 to 237.65.124.234 | — | 1 |
| 236 | 237.65.124.235/32 | 237.65.124.235 to 237.65.124.235 | — | 1 |
| 237 | 237.65.124.236/32 | 237.65.124.236 to 237.65.124.236 | — | 1 |
| 238 | 237.65.124.237/32 | 237.65.124.237 to 237.65.124.237 | — | 1 |
| 239 | 237.65.124.238/32 | 237.65.124.238 to 237.65.124.238 | — | 1 |
| 240 | 237.65.124.239/32 | 237.65.124.239 to 237.65.124.239 | — | 1 |
| 241 | 237.65.124.240/32 | 237.65.124.240 to 237.65.124.240 | — | 1 |
| 242 | 237.65.124.241/32 | 237.65.124.241 to 237.65.124.241 | — | 1 |
| 243 | 237.65.124.242/32 | 237.65.124.242 to 237.65.124.242 | — | 1 |
| 244 | 237.65.124.243/32 | 237.65.124.243 to 237.65.124.243 | — | 1 |
| 245 | 237.65.124.244/32 | 237.65.124.244 to 237.65.124.244 | — | 1 |
| 246 | 237.65.124.245/32 | 237.65.124.245 to 237.65.124.245 | — | 1 |
| 247 | 237.65.124.246/32 | 237.65.124.246 to 237.65.124.246 | — | 1 |
| 248 | 237.65.124.247/32 | 237.65.124.247 to 237.65.124.247 | — | 1 |
| 249 | 237.65.124.248/32 | 237.65.124.248 to 237.65.124.248 | — | 1 |
| 250 | 237.65.124.249/32 | 237.65.124.249 to 237.65.124.249 | — | 1 |
| 251 | 237.65.124.250/32 | 237.65.124.250 to 237.65.124.250 | — | 1 |
| 252 | 237.65.124.251/32 | 237.65.124.251 to 237.65.124.251 | — | 1 |
| 253 | 237.65.124.252/32 | 237.65.124.252 to 237.65.124.252 | — | 1 |
| 254 | 237.65.124.253/32 | 237.65.124.253 to 237.65.124.253 | — | 1 |
| 255 | 237.65.124.254/32 | 237.65.124.254 to 237.65.124.254 | — | 1 |
| 256 | 237.65.124.255/32 | 237.65.124.255 to 237.65.124.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |